﻿using Sirenix.OdinInspector;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;


public class EncounterPrefabLinks : SerializedMonoBehaviour
{
  public BattleEvents battleEvents;
  public GameObject background;
  public int backgroundVariantIndex = -1;
  public AudioClip musicOverride;

  public void CopyNeededValues(EncounterPrefabLinks ea)
  {
    if (musicOverride == null)
    {
      musicOverride = ea.musicOverride;
    }
    if (background == null)
    {
      background = ea.background;
      backgroundVariantIndex = ea.backgroundVariantIndex;
    }
  }
}