﻿using System.Collections;
using System.Collections.Generic;
using System;
using UnityEngine;//If this causes a problem for photon, there shouldnt be any reason that photon needs this

/// <summary>
/// All the scripting events that can happen in all the various places of the battle
/// </summary>
public class BattleEvents
{
  public GameObject postLevelUpEvent; //Call after closing the level up popup
  public GameObject postBattleWinEvent;//Call after closing the battle popup
  public GameObject postBattleLossEvent;//Call after closing the battle popup
  public GameObject postBattleCommonEvent; //Call after closing the battle popup
  public GameObject winEvent; //Call before winning
  public GameObject startEvent;//Load game, put up background, before monsters come down, throw this
  public GameObject firstPlayerTurnEvent;// Called when first ability needs to be picked (don't stop UI from showing)
  // Had to ditch using dictionary for tu events because odin was randomly removing entries. Maybe related to the deep nesting?
  public List<int> tuEventTimes;
  public List<GameObject> tuEvents;
 

}